# ACE_Time_Request Class Reference

Message format for delivering requests to the ACE_Time Server. More...

`#include <Time_Request_Reply.h>`

Collaboration diagram for ACE_Time_Request:

[legend]
List of all members.

## Public Types

enum | Constants { TIME_UPDATE = 01, MAX_TIME_LEN = MAXPATHLEN + 1 }

## Public Member Functions

| ACE_Time_Request (void)
| Default constructor.
| ACE_Time_Request (ACE_INT32 msg_type, const ACE_UINT32 time, ACE_Time_Value *timeout=0)
void | init (void)
ssize_t | size (void) const
ACE_INT32 | msg_type (void) const
| Get the type of the message.
void | msg_type (ACE_INT32)
| Set the type of the message.
ACE_UINT32 | time (void) const
| Get the time.
void | time (ACE_UINT32 t)
ACE_UINT32 | block_forever (void) const
| Get the blocking semantics.
void | block_forever (ACE_UINT32)
| Set the blocking semantics.
ACE_Time_Value | timeout (void) const
| Get the timeout.
void | timeout (const ACE_Time_Value &timeout)
| Set the timeout.
int | encode (void *&)
| Encode the message before transmission.
int | decode (void)
| Decode message after reception.
void | dump (void) const
| Print out the values of the message for debugging purposes.

## Private Attributes

Transfer | transfer_
| Transfer buffer.
ACE_UINT32 | time_
| Time.

## Detailed Description

Message format for delivering requests to the ACE_Time Server.

This class is implemented to minimize data copying. In particular, all marshaling is done in situ...

## Member Enumeration Documentation

enum ACE_Time_Request::Constants

Enumeration values:

  TIME_UPDATE | Request message types.
  MAX_TIME_LEN | Class-specific constant values.

## Constructor & Destructor Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_Time_Request::ACE_Time_Request | ( | void |  | ) |

| Default constructor.

ACE_Time_Request::ACE_Time_Request | ( | ACE_INT32 | msg_type,
|  | const ACE_UINT32 | time,
|  | ACE_Time_Value * | timeout = `0`
| ) |

Create a ACE_Time_Request message.

Parameters:

  | msg_type | Type of request.
  | time | Time.
  | timeout | Max time waiting for request.

## Member Function Documentation

void ACE_Time_Request::block_forever | ( | ACE_UINT32 |  | ) |

| Set the blocking semantics.

ACE_UINT32 ACE_Time_Request::block_forever | ( | void |  | ) | const

| Get the blocking semantics.

int ACE_Time_Request::decode | ( | void |  | ) |

| Decode message after reception.

void ACE_Time_Request::dump | ( | void |  | ) | const

| Print out the values of the message for debugging purposes.

int ACE_Time_Request::encode | ( | void *& |  | ) |

| Encode the message before transmission.

void ACE_Time_Request::init | ( | void |  | ) |

Initialize length_ in order to ensure correct byte ordering before a request is sent.

Deprecated:
  This method is a no-op.

void ACE_Time_Request::msg_type | ( | ACE_INT32 |  | ) |

| Set the type of the message.

ACE_INT32 ACE_Time_Request::msg_type | ( | void |  | ) | const

| Get the type of the message.

ssize_t ACE_Time_Request::size | ( | void |  | ) | const

void ACE_Time_Request::time | ( | ACE_UINT32 | t | ) |

ACE_UINT32 ACE_Time_Request::time | ( | void |  | ) | const

| Get the time.

void ACE_Time_Request::timeout | ( | const ACE_Time_Value & | timeout | ) |

| Set the timeout.

ACE_Time_Value ACE_Time_Request::timeout | ( | void |  | ) | const

| Get the timeout.

## Member Data Documentation

ACE_UINT32 ACE_Time_Request::time_`[private]`

| Time.

Transfer ACE_Time_Request::transfer_`[private]`

| Transfer buffer.

The documentation for this class was generated from the following files:

- Time_Request_Reply.h
- Time_Request_Reply.cpp